Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util
Class OrderedLinkedList.Node

    java.lang.Object
      org.exist.util.OrderedLinkedList.Node

Direct Known Subclasses:
  OrderedLinkedList.SimpleNode

Enclosing class:
  OrderedLinkedList

public abstract static class OrderedLinkedList.Node
extends java.lang.Object

Constructor Summary
`OrderedLinkedList.Node()`

Method Summary
`abstract int` | `compareTo(OrderedLinkedList.Node other)`
`abstract boolean` | `equals(OrderedLinkedList.Node other)`
`OrderedLinkedList.Node` | `getNextNode()`
`OrderedLinkedList.Node` | `getPrevNode()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderedLinkedList.Node

    public OrderedLinkedList.Node()

Method Detail

### getNextNode

    public OrderedLinkedList.Node getNextNode()

### getPrevNode

    public OrderedLinkedList.Node getPrevNode()

### compareTo

    public abstract int compareTo(OrderedLinkedList.Node other)

### equals

    public abstract boolean equals(OrderedLinkedList.Node other)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.